package com.fs.app.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

@Data
public class LoginMaWxParam implements Serializable {

    @NotBlank(message = "code参数缺失")
    @ApiModelProperty(value = "小程序登陆code")
    private String code;

    @ApiModelProperty(value = "小程序完整用户信息的加密数据")
    private String encryptedData;

    @ApiModelProperty(value = "小程序加密算法的初始向量")
    private String iv;

    @ApiModelProperty(value = "公司id")
    private Long companyId;

    @ApiModelProperty(value = "电话号码")
    private String phoneNumber;

    @ApiModelProperty(value = "昵称")
    private String nickName;

    @ApiModelProperty(value = "上级销售id")
    private Long parentId;

}
